Package: org.grails.web.multipart

## [Java] Class ContentLengthAwareCommonsMultipartResolver

- org.grails.web.multipart.ContentLengthAwareCommonsMultipartResolver

- Safari includes the multipart packet inside an HTTP redirect without the Content-Length header. This causes CommonsMultipartResolver to blow up. We extend it here to catch this exception, printing a warning.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected MultipartParsingResult` | `parseRequest(javax.servlet.http.HttpServletRequest request)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.multipart.commons.CommonsMultipartResolver` | `org.springframework.web.multipart.commons.CommonsMultipartResolver#setServletContext(javax.servlet.ServletContext), org.springframework.web.multipart.commons.CommonsMultipartResolver#cleanupMultipart(org.springframework.web.multipart.MultipartHttpServletRequest), org.springframework.web.multipart.commons.CommonsMultipartResolver#isMultipart(javax.servlet.http.HttpServletRequest), org.springframework.web.multipart.commons.CommonsMultipartResolver#resolveMultipart(javax.servlet.http.HttpServletRequest), org.springframework.web.multipart.commons.CommonsMultipartResolver#setResolveLazily(boolean), org.springframework.web.multipart.commons.CommonsMultipartResolver#setDefaultEncoding(java.lang.String), org.springframework.web.multipart.commons.CommonsMultipartResolver#getFileItemFactory(), org.springframework.web.multipart.commons.CommonsMultipartResolver#getFileUpload(), org.springframework.web.multipart.commons.CommonsMultipartResolver#setMaxUploadSize(long), org.springframework.web.multipart.commons.CommonsMultipartResolver#setMaxUploadSizePerFile(long), org.springframework.web.multipart.commons.CommonsMultipartResolver#setMaxInMemorySize(int), org.springframework.web.multipart.commons.CommonsMultipartResolver#setUploadTempDir(org.springframework.core.io.Resource), org.springframework.web.multipart.commons.CommonsMultipartResolver#setPreserveFilename(boolean), org.springframework.web.multipart.commons.CommonsMultipartResolver#wait(long, int), org.springframework.web.multipart.commons.CommonsMultipartResolver#wait(long), org.springframework.web.multipart.commons.CommonsMultipartResolver#wait(), org.springframework.web.multipart.commons.CommonsMultipartResolver#equals(java.lang.Object), org.springframework.web.multipart.commons.CommonsMultipartResolver#toString(), org.springframework.web.multipart.commons.CommonsMultipartResolver#hashCode(), org.springframework.web.multipart.commons.CommonsMultipartResolver#getClass(), org.springframework.web.multipart.commons.CommonsMultipartResolver#notify(), org.springframework.web.multipart.commons.CommonsMultipartResolver#notifyAll()`
    `class org.springframework.web.multipart.commons.CommonsFileUploadSupport` | `org.springframework.web.multipart.commons.CommonsFileUploadSupport#setDefaultEncoding(java.lang.String), org.springframework.web.multipart.commons.CommonsFileUploadSupport#getFileItemFactory(), org.springframework.web.multipart.commons.CommonsFileUploadSupport#getFileUpload(), org.springframework.web.multipart.commons.CommonsFileUploadSupport#setMaxUploadSize(long), org.springframework.web.multipart.commons.CommonsFileUploadSupport#setMaxUploadSizePerFile(long), org.springframework.web.multipart.commons.CommonsFileUploadSupport#setMaxInMemorySize(int), org.springframework.web.multipart.commons.CommonsFileUploadSupport#setUploadTempDir(org.springframework.core.io.Resource), org.springframework.web.multipart.commons.CommonsFileUploadSupport#setPreserveFilename(boolean), org.springframework.web.multipart.commons.CommonsFileUploadSupport#wait(long, int), org.springframework.web.multipart.commons.CommonsFileUploadSupport#wait(long), org.springframework.web.multipart.commons.CommonsFileUploadSupport#wait(), org.springframework.web.multipart.commons.CommonsFileUploadSupport#equals(java.lang.Object), org.springframework.web.multipart.commons.CommonsFileUploadSupport#toString(), org.springframework.web.multipart.commons.CommonsFileUploadSupport#hashCode(), org.springframework.web.multipart.commons.CommonsFileUploadSupport#getClass(), org.springframework.web.multipart.commons.CommonsFileUploadSupport#notify(), org.springframework.web.multipart.commons.CommonsFileUploadSupport#notifyAll()`

- - ### Method Detail

    - #### @java.lang.SuppressWarnings("deprecation") @java.lang.Override protected MultipartParsingResult parseRequest(javax.servlet.http.HttpServletRequest request)